package com.diagbot.facade;

import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import com.diagbot.dto.ReverseDTO;
import com.diagbot.entity.ConceptInfo;
import com.diagbot.enums.IsDeleteEnum;
import com.diagbot.service.impl.ConceptInfoServiceImpl;
import com.diagbot.vo.ReverseVO;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2020/12/28 11:47
 */
@Component
public class ConceptInfoFacade extends ConceptInfoServiceImpl {

    /**
     * 标准术语名称修改
     *
     * @param oldName
     * @param newName
     * @return
     */
    public Boolean updateName(String oldName, String newName, String labelType) {
        UpdateWrapper<ConceptInfo> updateWrapper = new UpdateWrapper<>();
        updateWrapper.eq("is_deleted", IsDeleteEnum.N.getKey())
                .eq("name", oldName)
                .eq("type", labelType)
                .set("name", newName);
        this.update(updateWrapper);
        return true;
    }

    /**
     * 根据诊断反推
     *
     * @param reverseVO
     * @return
     */
    public List<ReverseDTO> getReverseFac(ReverseVO reverseVO) {
        return this.getReverse(reverseVO);
    }
}